Page MenuHomePhabricator

Micro-task: Run Selenium tests on your machine
Closed, ResolvedPublic

Description

Follow this page to run Selenium tests on your machine: https://www.mediawiki.org/wiki/Selenium/Getting_Started/Run_tests_targeting_MediaWiki-Docker

If you have any problems, report it as a separate task. If all tests pass, copy/paste terminal output to a paste. Then add the paste to a comment of this task. For an example see T248016#6026082.

Students:

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Soham added a subscriber: Soham.EditedMar 19 2020, 5:48 PM

@zeljkofilipin I am having issues setting up MediaWiki Docker can you help me out. It seems my docker-machine has no IP and i tried creating one using docker-machine create but it still doesnt seem to work. Im using localhost

Soham added a comment.Mar 19 2020, 5:55 PM

I tried doing a docker inspect on the container name too and it seems the container is running fine...

@AlQaholic007 please create a task saying what exactly you did, and what you got, and tag it with MediaWiki-Docker.

Also please specify your environment in the task: operating system (and version), docker version...

Soham added a comment.Mar 19 2020, 6:10 PM

@zeljkofilipin just created a new task and added you as a subscriber

Dinp2 added a subscriber: Dinp2.EditedMar 19 2020, 6:53 PM

I setup the environment and ran the selenium tests, 1 test passed and 5 failed. Is the task to fix the failed tests or were all tests supposed to pass indicating something went wrong during my installation?

@AlQaholic007 thanks, I'll reply there.

@Dinp2 All tests should pass. Please create a task and add me to subscribers. Take a look at T248118 for an example. Please provide as much information as possible, including terminal output.

Dinp2 added a comment.EditedMar 20 2020, 10:39 AM

All tests are passing now, the issue was I did not have ffmpeg installed. Do you think it's a good idea to send a patch to update the "Linux Users" section of this file to mention the requirement to install ffmpeg?

Can you suggest a few good tasks to work on in preparation for both of the webdriverio projects?

Soham added a comment.EditedMar 20 2020, 11:36 AM

I too was able to run all selenium checks successfully. Also went through a bit of Cypress and Puppeteer documentation to see their general usage...Read a bit on Webdriver IO too...@zeljkofilipin could you guide me with the next step?

All tests are passing now, the issue was I did not have ffmpeg installed. Do you think it's a good idea to send a patch to update the "Linux Users" section of this file to mention the requirement to install ffmpeg?

It would be good to figure out the problem, but the solution is not to update that file. Could you please uninstall all dependencies that you've installed to get things running on your machine (like ffmpeg) and try again? Please create a task and copy/paste your entire terminal session into it, so I could see what went wrong.

Can you suggest a few good tasks to work on in preparation for both of the webdriverio projects?

In T248016#5986648, @AlQaholic007 wrote:

@zeljkofilipin could you guide me with the next step?

I will create more micro-tasks. Please subscribe to T247844 and/or T247835 (depending on your interest). I will create micro-tasks as sub-tasks there.

zeljkofilipin renamed this task from Micro task: Run Selenium tests on your machine to Micro-task: Run Selenium tests on your machine.Mar 21 2020, 9:17 AM

Hi @zeljkofilipin, I am able to run all the tests successfully.

All tests are passing now, the issue was I did not have ffmpeg installed. Do you think it's a good idea to send a patch to update the "Linux Users" section of this file to mention the requirement to install ffmpeg?

It would be good to figure out the problem, but the solution is not to update that file. Could you please uninstall all dependencies that you've installed to get things running on your machine (like ffmpeg) and try again? Please create a task and copy/paste your entire terminal session into it, so I could see what went wrong.

I'm having the exact same issue he had @zeljkofilipin . Just one out of the 6 tests passes

Soham added a comment.Mar 25 2020, 9:55 AM

All tests are passing now, the issue was I did not have ffmpeg installed. Do you think it's a good idea to send a patch to update the "Linux Users" section of this file to mention the requirement to install ffmpeg?

It would be good to figure out the problem, but the solution is not to update that file. Could you please uninstall all dependencies that you've installed to get things running on your machine (like ffmpeg) and try again? Please create a task and copy/paste your entire terminal session into it, so I could see what went wrong.

I'm having the exact same issue he had @zeljkofilipin . Just one out of the 6 tests passes

What OS are you on?

In T248016#5997703, @AlQaholic007 wrote:

All tests are passing now, the issue was I did not have ffmpeg installed. Do you think it's a good idea to send a patch to update the "Linux Users" section of this file to mention the requirement to install ffmpeg?

It would be good to figure out the problem, but the solution is not to update that file. Could you please uninstall all dependencies that you've installed to get things running on your machine (like ffmpeg) and try again? Please create a task and copy/paste your entire terminal session into it, so I could see what went wrong.

I'm having the exact same issue he had @zeljkofilipin . Just one out of the 6 tests passes

What OS are you on?

@AlQaholic007 , I'm on Linux.

I'm having the exact same issue he had @zeljkofilipin . Just one out of the 6 tests passes

I'll assume you've reported your problem in T248281. I've replied there.

Yes, I have. Seen!

I'm having the exact same issue he had @zeljkofilipin . Just one out of the 6 tests passes

I'll assume you've reported your problem in T248281. I've replied there.

I have been able to run Selenium tests on my machine and they all pass.

Thanks @zeljkofilipin

Gaura87 added a subscriber: Gaura87.EditedMar 29 2020, 6:10 PM

Hello @zeljkofilipin I completed this task and all tests are passed , but i think the documention need many patches where should i submit this patches ?

i think the documention need many patches where should i submit this packages ?

The file https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/%2B/master/DEVELOPERS.md is part of the mediawiki/core Git repo in Gerrit. And there are wiki pages like https://www.mediawiki.org/wiki/Selenium/Getting_Started/Run_tests_targeting_MediaWiki-Docker (depends on what you mean by "documentation").

zeljkofilipin added a comment.EditedMar 30 2020, 2:18 PM

Hello @zeljkofilipin I completed this task and all tests are passed , but i think the documention need many patches where should i submit this patches ?

As @Aklapper said, depends on where you want to make patches. If you want to update DEVELOPERS.md file, you've already made a change to tests/selenium/README.md file in the same repository (mediawiki/core), https://gerrit.wikimedia.org/r/c/mediawiki/core/+/583947. You can follow the same process. Let me know if you need help.

Okay i will commit required changes as son as possible, Thanks :)
@zeljkofilipin @Aklapper

Dinp2 removed a subscriber: Dinp2.Apr 3 2020, 11:06 AM

1~/Documents/gerrit/mediawiki/core$ npm run selenium
2
3> @ selenium /Users/z/Documents/gerrit/mediawiki/core
4> bash ./tests/selenium/selenium.sh
5
6Starting ChromeDriver 80.0.3987.106 (f68069574609230cf9b635cd784cfb1bf81bb53a-refs/branch-heads/3987@{#882}) on port 4444
7Only local connections are allowed.
8Please protect ports used by ChromeDriver and related test frameworks to prevent access by malicious code.
9
10> @ selenium-test /Users/z/Documents/gerrit/mediawiki/core
11> wdio ./tests/selenium/wdio.conf.js
12
13
14Execution of 6 spec files started at 2020-04-03T11:33:02.874Z
15
16[0-0] RUNNING in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
17[1585913585.263][SEVERE]: Timed out receiving message from renderer: 0.100
18[1585913585.364][SEVERE]: Timed out receiving message from renderer: 0.100
19[1585913585.465][SEVERE]: Timed out receiving message from renderer: 0.100
20[1585913585.801][SEVERE]: Timed out receiving message from renderer: 0.100
21[1585913585.903][SEVERE]: Timed out receiving message from renderer: 0.100
22[1585913586.004][SEVERE]: Timed out receiving message from renderer: 0.100
23[1585913586.200][SEVERE]: Timed out receiving message from renderer: 0.100
24[0-0] PASSED in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
25[0-1] RUNNING in chrome - /tests/selenium/specs/page.js
26[0-1] [13:33:08] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
27[1585913588.992][SEVERE]: Timed out receiving message from renderer: 0.100
28[1585913589.093][SEVERE]: Timed out receiving message from renderer: 0.100
29[1585913589.195][SEVERE]: Timed out receiving message from renderer: 0.100
30[1585913589.318][SEVERE]: Timed out receiving message from renderer: 0.100
31[1585913589.420][SEVERE]: Timed out receiving message from renderer: 0.100
32[1585913589.588][SEVERE]: Timed out receiving message from renderer: 0.100
33[1585913589.689][SEVERE]: Timed out receiving message from renderer: 0.100
34[1585913589.791][SEVERE]: Timed out receiving message from renderer: 0.100
35[1585913589.892][SEVERE]: Timed out receiving message from renderer: 0.100
36[1585913589.993][SEVERE]: Timed out receiving message from renderer: 0.100
37[1585913592.278][SEVERE]: Timed out receiving message from renderer: 0.100
38[1585913592.379][SEVERE]: Timed out receiving message from renderer: 0.100
39[1585913592.481][SEVERE]: Timed out receiving message from renderer: 0.100
40[1585913592.643][SEVERE]: Timed out receiving message from renderer: 0.100
41[1585913592.744][SEVERE]: Timed out receiving message from renderer: 0.100
42[1585913593.778][SEVERE]: Timed out receiving message from renderer: 0.100
43[1585913593.879][SEVERE]: Timed out receiving message from renderer: 0.100
44[1585913593.981][SEVERE]: Timed out receiving message from renderer: 0.100
45[1585913594.083][SEVERE]: Timed out receiving message from renderer: 0.100
46[1585913597.392][SEVERE]: Timed out receiving message from renderer: 0.100
47[1585913597.494][SEVERE]: Timed out receiving message from renderer: 0.100
48[1585913597.595][SEVERE]: Timed out receiving message from renderer: 0.100
49[1585913597.696][SEVERE]: Timed out receiving message from renderer: 0.100
50[1585913597.797][SEVERE]: Timed out receiving message from renderer: 0.100
51[1585913597.898][SEVERE]: Timed out receiving message from renderer: 0.100
52[1585913597.999][SEVERE]: Timed out receiving message from renderer: 0.100
53[1585913598.141][SEVERE]: Timed out receiving message from renderer: 0.100
54[1585913598.242][SEVERE]: Timed out receiving message from renderer: 0.100
55[1585913598.344][SEVERE]: Timed out receiving message from renderer: 0.100
56[1585913598.446][SEVERE]: Timed out receiving message from renderer: 0.100
57[1585913598.547][SEVERE]: Timed out receiving message from renderer: 0.100
58[1585913598.648][SEVERE]: Timed out receiving message from renderer: 0.100
59[1585913598.749][SEVERE]: Timed out receiving message from renderer: 0.100
60[1585913598.850][SEVERE]: Timed out receiving message from renderer: 0.100
61[1585913598.951][SEVERE]: Timed out receiving message from renderer: 0.100
62[1585913599.792][SEVERE]: Timed out receiving message from renderer: 0.100
63[1585913599.895][SEVERE]: Timed out receiving message from renderer: 0.100
64[1585913599.997][SEVERE]: Timed out receiving message from renderer: 0.100
65[1585913600.098][SEVERE]: Timed out receiving message from renderer: 0.100
66[1585913600.198][SEVERE]: Timed out receiving message from renderer: 0.100
67[1585913600.332][SEVERE]: Timed out receiving message from renderer: 0.100
68[1585913600.515][SEVERE]: Timed out receiving message from renderer: 0.100
69[1585913600.616][SEVERE]: Timed out receiving message from renderer: 0.100
70[1585913601.711][SEVERE]: Timed out receiving message from renderer: 0.100
71[1585913601.813][SEVERE]: Timed out receiving message from renderer: 0.100
72[1585913602.206][SEVERE]: Timed out receiving message from renderer: 0.100
73[1585913602.308][SEVERE]: Timed out receiving message from renderer: 0.100
74[1585913602.409][SEVERE]: Timed out receiving message from renderer: 0.100
75[1585913602.509][SEVERE]: Timed out receiving message from renderer: 0.100
76[1585913603.203][SEVERE]: Timed out receiving message from renderer: 0.100
77[1585913605.358][SEVERE]: Timed out receiving message from renderer: 0.100
78[1585913605.459][SEVERE]: Timed out receiving message from renderer: 0.100
79[1585913605.668][SEVERE]: Timed out receiving message from renderer: 0.100
80[1585913605.768][SEVERE]: Timed out receiving message from renderer: 0.100
81[1585913605.869][SEVERE]: Timed out receiving message from renderer: 0.100
82[1585913607.355][SEVERE]: Timed out receiving message from renderer: 0.100
83[1585913607.456][SEVERE]: Timed out receiving message from renderer: 0.100
84[0-1] PASSED in chrome - /tests/selenium/specs/page.js
85[0-2] RUNNING in chrome - /tests/selenium/specs/rollback.js
86[1585913609.538][SEVERE]: Timed out receiving message from renderer: 0.100
87[1585913609.639][SEVERE]: Timed out receiving message from renderer: 0.100
88[1585913609.740][SEVERE]: Timed out receiving message from renderer: 0.100
89[1585913609.896][SEVERE]: Timed out receiving message from renderer: 0.100
90[1585913610.023][SEVERE]: Timed out receiving message from renderer: 0.100
91[1585913610.990][SEVERE]: Timed out receiving message from renderer: 0.100
92[1585913611.091][SEVERE]: Timed out receiving message from renderer: 0.100
93[1585913611.215][SEVERE]: Timed out receiving message from renderer: 0.100
94[1585913611.391][SEVERE]: Timed out receiving message from renderer: 0.100
95[0-2] PASSED in chrome - /tests/selenium/specs/rollback.js
96[0-3] RUNNING in chrome - /tests/selenium/specs/specialrecentchanges.js
97[0-3] [13:33:35] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
98[1585913616.420][SEVERE]: Timed out receiving message from renderer: 0.100
99[1585913616.522][SEVERE]: Timed out receiving message from renderer: 0.100
100[1585913616.623][SEVERE]: Timed out receiving message from renderer: 0.100
101[1585913616.743][SEVERE]: Timed out receiving message from renderer: 0.100
102[1585913616.960][SEVERE]: Timed out receiving message from renderer: 0.100
103[1585913617.061][SEVERE]: Timed out receiving message from renderer: 0.100
104[1585913617.162][SEVERE]: Timed out receiving message from renderer: 0.100
105[1585913617.262][SEVERE]: Timed out receiving message from renderer: 0.100
106[1585913617.363][SEVERE]: Timed out receiving message from renderer: 0.100
107[1585913617.465][SEVERE]: Timed out receiving message from renderer: 0.100
108[1585913617.566][SEVERE]: Timed out receiving message from renderer: 0.100
109[1585913617.666][SEVERE]: Timed out receiving message from renderer: 0.100
110[1585913617.767][SEVERE]: Timed out receiving message from renderer: 0.100
111[1585913617.868][SEVERE]: Timed out receiving message from renderer: 0.100
112[1585913617.969][SEVERE]: Timed out receiving message from renderer: 0.100
113[1585913618.070][SEVERE]: Timed out receiving message from renderer: 0.100
114[1585913618.171][SEVERE]: Timed out receiving message from renderer: 0.100
115[1585913618.272][SEVERE]: Timed out receiving message from renderer: 0.100
116[1585913618.373][SEVERE]: Timed out receiving message from renderer: 0.100
117[1585913618.474][SEVERE]: Timed out receiving message from renderer: 0.100
118[1585913618.575][SEVERE]: Timed out receiving message from renderer: 0.100
119[1585913618.676][SEVERE]: Timed out receiving message from renderer: 0.100
120[1585913618.777][SEVERE]: Timed out receiving message from renderer: 0.100
121[1585913618.877][SEVERE]: Timed out receiving message from renderer: 0.100
122[1585913618.978][SEVERE]: Timed out receiving message from renderer: 0.100
123[1585913619.080][SEVERE]: Timed out receiving message from renderer: 0.100
124[0-3] PASSED in chrome - /tests/selenium/specs/specialrecentchanges.js
125[0-4] RUNNING in chrome - /tests/selenium/specs/specialwatchlist.js
126[0-4] [13:33:41] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
127[1585913622.023][SEVERE]: Timed out receiving message from renderer: 0.100
128[1585913622.124][SEVERE]: Timed out receiving message from renderer: 0.100
129[1585913622.225][SEVERE]: Timed out receiving message from renderer: 0.100
130[1585913622.471][SEVERE]: Timed out receiving message from renderer: 0.100
131[1585913623.578][SEVERE]: Timed out receiving message from renderer: 0.100
132[1585913623.679][SEVERE]: Timed out receiving message from renderer: 0.100
133[1585913623.805][SEVERE]: Timed out receiving message from renderer: 0.100
134[1585913623.982][SEVERE]: Timed out receiving message from renderer: 0.100
135[1585913624.520][SEVERE]: Timed out receiving message from renderer: 0.100
136[1585913624.621][SEVERE]: Timed out receiving message from renderer: 0.100
137[1585913624.786][SEVERE]: Timed out receiving message from renderer: 0.100
138[1585913625.168][SEVERE]: Timed out receiving message from renderer: 0.100
139[1585913625.269][SEVERE]: Timed out receiving message from renderer: 0.100
140[1585913625.370][SEVERE]: Timed out receiving message from renderer: 0.100
141[1585913626.058][SEVERE]: Timed out receiving message from renderer: 0.100
142[1585913626.160][SEVERE]: Timed out receiving message from renderer: 0.100
143[1585913626.261][SEVERE]: Timed out receiving message from renderer: 0.100
144[1585913626.361][SEVERE]: Timed out receiving message from renderer: 0.100
145[1585913626.462][SEVERE]: Timed out receiving message from renderer: 0.100
146[1585913626.588][SEVERE]: Timed out receiving message from renderer: 0.100
147[1585913626.689][SEVERE]: Timed out receiving message from renderer: 0.100
148[1585913626.790][SEVERE]: Timed out receiving message from renderer: 0.100
149[1585913626.891][SEVERE]: Timed out receiving message from renderer: 0.100
150[1585913626.992][SEVERE]: Timed out receiving message from renderer: 0.100
151[1585913627.094][SEVERE]: Timed out receiving message from renderer: 0.100
152[1585913627.194][SEVERE]: Timed out receiving message from renderer: 0.100
153[1585913627.295][SEVERE]: Timed out receiving message from renderer: 0.100
154[1585913627.396][SEVERE]: Timed out receiving message from renderer: 0.100
155[1585913627.497][SEVERE]: Timed out receiving message from renderer: 0.100
156[1585913627.598][SEVERE]: Timed out receiving message from renderer: 0.100
157[0-4] PASSED in chrome - /tests/selenium/specs/specialwatchlist.js
158[0-5] RUNNING in chrome - /tests/selenium/specs/user.js
159[0-5] [13:33:49] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
160[1585913630.066][SEVERE]: Timed out receiving message from renderer: 0.100
161[1585913630.167][SEVERE]: Timed out receiving message from renderer: 0.100
162[1585913630.394][SEVERE]: Timed out receiving message from renderer: 0.100
163[1585913630.497][SEVERE]: Timed out receiving message from renderer: 0.100
164[1585913631.612][SEVERE]: Timed out receiving message from renderer: 0.100
165[1585913632.577][SEVERE]: Timed out receiving message from renderer: 0.100
166[1585913632.678][SEVERE]: Timed out receiving message from renderer: 0.100
167[1585913633.799][SEVERE]: Timed out receiving message from renderer: 0.100
168[1585913633.900][SEVERE]: Timed out receiving message from renderer: 0.100
169[1585913634.048][SEVERE]: Timed out receiving message from renderer: 0.100
170[1585913634.233][SEVERE]: Timed out receiving message from renderer: 0.100
171[0-5] PASSED in chrome - /tests/selenium/specs/user.js
172
173 "dot" Reporter:
174....................
175
176Spec Files: 6 passed, 6 total (100% completed) in 00:00:51
177
178
179
180 โ•ญโ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ•ฎ
181 โ”‚ โ”‚
182 โ”‚ New minor version of npm available! 6.13.4 โ†’ 6.14.4 โ”‚
183 โ”‚ Changelog: https://github.com/npm/cli/releases/tag/v6.14.4 โ”‚
184 โ”‚ Run npm install -g npm to update! โ”‚
185 โ”‚ โ”‚
186 โ•ฐโ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ”€โ•ฏ
187
188~/Documents/gerrit/mediawiki/core$

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:49 PM
zeljkofilipin added subscribers: Ashuro07, Vidhi-Mody.
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:57 PM
zeljkofilipin updated the task description. (Show Details)
gbahdeyboh@Gbahdeyboh:~/Desktop/programs/mediawiki1$ npm run selenium

> @ selenium /home/gbahdeyboh/Desktop/programs/mediawiki1
> wdio ./tests/selenium/wdio.conf.js


Execution of 6 spec files started at 2020-04-04T15:14:18.299Z

Starting ChromeDriver 73.0.3683.20 (8e2b610813e167eee3619ac4ce6e42e3ec622017) on port 4444
Only local connections are allowed.
Please protect ports used by ChromeDriver and related test frameworks to prevent access by malicious code.
[0-0] RUNNING in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[0-0] ffmpeg stderr: Unknown input format: 'x11grab'
[0-0] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/BlankPage-should-have-its-title-%40daily.mp4 

[0-0] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/BlankPage-should-have-its-title-%40daily.mp4
[0-0] PASSED in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[0-1] RUNNING in chrome - /tests/selenium/specs/page.js
[0-1] [16:14:48] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-previewable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-previewable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-creatable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-creatable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-re-creatable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-re-creatable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-editable-%40daily.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-editable-%40daily.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-have-history-%40daily.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-have-history-%40daily.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-deletable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-deletable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-restorable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-restorable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-undoable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-undoable.mp4
[0-1] PASSED in chrome - /tests/selenium/specs/page.js
[0-2] RUNNING in chrome - /tests/selenium/specs/rollback.js
[0-2] PASSED in chrome - /tests/selenium/specs/rollback.js
[0-3] RUNNING in chrome - /tests/selenium/specs/specialrecentchanges.js
[0-3] ffmpeg stderr: Unknown input format: 'x11grab'
[0-3] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Special%3ARecentChanges-shows-page-creation.mp4 

[0-3] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Special%3ARecentChanges-shows-page-creation.mp4
[0-3] [16:15:42] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-3] PASSED in chrome - /tests/selenium/specs/specialrecentchanges.js
[0-4] RUNNING in chrome - /tests/selenium/specs/specialwatchlist.js
[0-4] [16:15:50] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-4] ffmpeg stderr: Unknown input format: 'x11grab'
[0-4] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Special%3AWatchlist-should-show-page-with-new-edit.mp4 

[0-4] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Special%3AWatchlist-should-show-page-with-new-edit.mp4
[0-4] [16:15:55] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-4] [16:15:57] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-4] PASSED in chrome - /tests/selenium/specs/specialwatchlist.js
[0-5] RUNNING in chrome - /tests/selenium/specs/user.js
[0-5] ffmpeg stderr: Unknown input format: 'x11grab'
[0-5] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/User-should-be-able-to-create-account.mp4 

[0-5] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/User-should-be-able-to-create-account.mp4
[0-5] ffmpeg stderr: Unknown input format: 'x11grab'
[0-5] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/User-should-be-able-to-log-in-%40daily.mp4 

[0-5] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/User-should-be-able-to-log-in-%40daily.mp4
[0-5] [16:16:08] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-5] PASSED in chrome - /tests/selenium/specs/user.js

 "dot" Reporter:
....................

Spec Files:	 6 passed, 6 total (100% completed) in 00:01:52
AdityaJ removed a subscriber: AdityaJ.Apr 4 2020, 3:21 PM
zeljkofilipin updated the task description. (Show Details)Apr 4 2020, 3:22 PM
Soham added a comment.Apr 4 2020, 3:27 PM
gbahdeyboh@Gbahdeyboh:~/Desktop/programs/mediawiki1$ npm run selenium

> @ selenium /home/gbahdeyboh/Desktop/programs/mediawiki1
> wdio ./tests/selenium/wdio.conf.js


Execution of 6 spec files started at 2020-04-04T15:14:18.299Z

Starting ChromeDriver 73.0.3683.20 (8e2b610813e167eee3619ac4ce6e42e3ec622017) on port 4444
Only local connections are allowed.
Please protect ports used by ChromeDriver and related test frameworks to prevent access by malicious code.
[0-0] RUNNING in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[0-0] ffmpeg stderr: Unknown input format: 'x11grab'
[0-0] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/BlankPage-should-have-its-title-%40daily.mp4 

[0-0] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/BlankPage-should-have-its-title-%40daily.mp4
[0-0] PASSED in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[0-1] RUNNING in chrome - /tests/selenium/specs/page.js
[0-1] [16:14:48] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-previewable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-previewable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-creatable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-creatable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-re-creatable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-re-creatable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-editable-%40daily.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-editable-%40daily.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-have-history-%40daily.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-have-history-%40daily.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-deletable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-deletable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-restorable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-restorable.mp4
[0-1] ffmpeg stderr: Unknown input format: 'x11grab'
[0-1] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-undoable.mp4 

[0-1] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Page-should-be-undoable.mp4
[0-1] PASSED in chrome - /tests/selenium/specs/page.js
[0-2] RUNNING in chrome - /tests/selenium/specs/rollback.js
[0-2] PASSED in chrome - /tests/selenium/specs/rollback.js
[0-3] RUNNING in chrome - /tests/selenium/specs/specialrecentchanges.js
[0-3] ffmpeg stderr: Unknown input format: 'x11grab'
[0-3] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Special%3ARecentChanges-shows-page-creation.mp4 

[0-3] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Special%3ARecentChanges-shows-page-creation.mp4
[0-3] [16:15:42] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-3] PASSED in chrome - /tests/selenium/specs/specialrecentchanges.js
[0-4] RUNNING in chrome - /tests/selenium/specs/specialwatchlist.js
[0-4] [16:15:50] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-4] ffmpeg stderr: Unknown input format: 'x11grab'
[0-4] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Special%3AWatchlist-should-show-page-with-new-edit.mp4 

[0-4] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/Special%3AWatchlist-should-show-page-with-new-edit.mp4
[0-4] [16:15:55] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-4] [16:15:57] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-4] PASSED in chrome - /tests/selenium/specs/specialwatchlist.js
[0-5] RUNNING in chrome - /tests/selenium/specs/user.js
[0-5] ffmpeg stderr: Unknown input format: 'x11grab'
[0-5] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/User-should-be-able-to-create-account.mp4 

[0-5] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/User-should-be-able-to-create-account.mp4
[0-5] ffmpeg stderr: Unknown input format: 'x11grab'
[0-5] 
	Video location: /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/User-should-be-able-to-log-in-%40daily.mp4 

[0-5] 	ffmpeg exited with code 1 /home/gbahdeyboh/Desktop/programs/mediawiki1/tests/selenium/log/User-should-be-able-to-log-in-%40daily.mp4
[0-5] [16:16:08] [S] [MWBOT] Login successful: Admin@http://localhost:8080/
[0-5] PASSED in chrome - /tests/selenium/specs/user.js

 "dot" Reporter:
....................

Spec Files:	 6 passed, 6 total (100% completed) in 00:01:52

@Gbahdeyboh please paste the output on to Phabricator paste

Oh, thanks @AlQaholic007

zeljkofilipin updated the task description. (Show Details)Apr 4 2020, 4:15 PM
zeljkofilipin updated the task description. (Show Details)Apr 6 2020, 6:16 PM
zeljkofilipin closed this task as Resolved.Apr 11 2020, 12:00 PM
zeljkofilipin claimed this task.
zeljkofilipin updated the task description. (Show Details)
Soham reopened this task as Open.Oct 7 2020, 5:06 PM
Soham closed this task as Resolved.Oct 7 2020, 5:08 PM